'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _defineProperty2 = require('babel-runtime/helpers/defineProperty');

var _defineProperty3 = _interopRequireDefault(_defineProperty2);

var _objectWithoutProperties2 = require('babel-runtime/helpers/objectWithoutProperties');

var _objectWithoutProperties3 = _interopRequireDefault(_objectWithoutProperties2);

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames2 = require('classnames');

var _classnames3 = _interopRequireDefault(_classnames2);

require('./index.css');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Input = function (_Component) {
  (0, _inherits3.default)(Input, _Component);

  function Input() {
    (0, _classCallCheck3.default)(this, Input);
    return (0, _possibleConstructorReturn3.default)(this, (Input.__proto__ || (0, _getPrototypeOf2.default)(Input)).apply(this, arguments));
  }

  (0, _createClass3.default)(Input, [{
    key: 'focus',


    /**
     * @public
     * @name this.refs.input.focus
     * @description 同 HTMLInputElement.focus()
     */
    value: function focus() {
      this.refs.input.focus();
    }

    /**
     * @public
     * @name this.refs.input.select
     * @description 同 HTMLInputElement.select()
     */

  }, {
    key: 'select',
    value: function select() {
      this.refs.input.select();
    }
  }, {
    key: 'render',
    value: function render() {
      var _props = this.props,
          className = _props.className,
          size = _props.size,
          other = (0, _objectWithoutProperties3.default)(_props, ['className', 'size']);

      var classNames = (0, _classnames3.default)('bfd-input', (0, _defineProperty3.default)({}, 'bfd-input--' + size, size), className);
      return _react2.default.createElement('input', (0, _extends3.default)({ ref: 'input', className: classNames }, other));
    }
  }]);
  return Input;
}(_react.Component); /**
                      * Copyright 2016-present, Baifendian, Inc.
                      * All rights reserved.
                      *
                      * This source code is licensed under the BSD-style license found in the
                      * LICENSE file in the root directory of this source tree. An additional grant
                      * of patent rights can be found in the PATENTS file in the same directory.
                      */

Input.propTypes = {

  // 输入框的值
  value: _react.PropTypes.oneOfType([_react.PropTypes.string, _react.PropTypes.number]),

  // 初始化输入框的值
  defaultValue: _react.PropTypes.oneOfType([_react.PropTypes.string, _react.PropTypes.number]),

  // 输入改变后的回调，参数为 event 对象
  onChange: _react.PropTypes.func,

  // 输入框大小，除默认外可选值：sm、lg
  size: _react.PropTypes.oneOf(['sm', 'lg']),

  // 是否禁用
  disabled: _react.PropTypes.bool,

  // 同 input placeholder
  placeholder: _react.PropTypes.string,

  customProp: function customProp(_ref) {
    var value = _ref.value,
        onChange = _ref.onChange;

    if (value && !onChange) {
      return new Error('You provided a `value` prop without an `onChange` handler');
    }
  }
};

exports.default = Input;