'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _objectWithoutProperties2 = require('babel-runtime/helpers/objectWithoutProperties');

var _objectWithoutProperties3 = _interopRequireDefault(_objectWithoutProperties2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

require('./index.css');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Col = function Col(props) {
  var children = props.children,
      className = props.className,
      col = props.col,
      right = props.right,
      other = (0, _objectWithoutProperties3.default)(props, ['children', 'className', 'col', 'right']);

  var classNames = (0, _classnames2.default)('bfd-col', col && col.split(' ').map(function (v) {
    return 'bfd-col--' + v;
  }), {
    'bfd-col--right': right
  }, className);
  return _react2.default.createElement(
    'div',
    (0, _extends3.default)({ className: classNames }, other),
    children
  );
}; /**
    * Copyright 2016-present, Baifendian, Inc.
    * All rights reserved.
    *
    * This source code is licensed under the BSD-style license found in the
    * LICENSE file in the root directory of this source tree. An additional grant
    * of patent rights can be found in the PATENTS file in the same directory.
    */

Col.propTypes = {

  // 布局规则，col="md-6 sm-5"，参考 bootstrap 布局用法
  col: _react.PropTypes.string,

  // 是否右浮动
  right: _react.PropTypes.bool
};

exports.default = Col;