'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _assign = require('babel-runtime/core-js/object/assign');

var _assign2 = _interopRequireDefault(_assign);

var _objectWithoutProperties2 = require('babel-runtime/helpers/objectWithoutProperties');

var _objectWithoutProperties3 = _interopRequireDefault(_objectWithoutProperties2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

require('./index.css');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Spinner = function Spinner(props) {
  var className = props.className,
      style = props.style,
      height = props.height,
      other = (0, _objectWithoutProperties3.default)(props, ['className', 'style', 'height']);


  if (typeof height !== 'undefined') {
    other.style = (0, _assign2.default)(style || {}, {
      fontSize: height + 'px'
    });
  }

  return _react2.default.createElement(
    'div',
    (0, _extends3.default)({ className: (0, _classnames2.default)('bfd-spinner', className) }, other),
    _react2.default.createElement('div', { className: 'bfd-spinner__circle' })
  );
}; /**
    * Copyright 2016-present, Baifendian, Inc.
    * All rights reserved.
    *
    * This source code is licensed under the BSD-style license found in the
    * LICENSE file in the root directory of this source tree. An additional grant
    * of patent rights can be found in the PATENTS file in the same directory.
    */

Spinner.propTypes = {

  // 高度，默认 30px，宽度与高度相同
  height: _react.PropTypes.number
};

exports.default = Spinner;