'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Copyright 2016-present, Baifendian, Inc.
 * All rights reserved.
 *
 * This source code is licensed under the BSD-style license found in the
 * LICENSE file in the root directory of this source tree. An additional grant
 * of patent rights can be found in the PATENTS file in the same directory.
 */

var EventPool = function () {
  function EventPool() {
    (0, _classCallCheck3.default)(this, EventPool);

    this.pool = [];
  }

  (0, _createClass3.default)(EventPool, [{
    key: 'add',
    value: function add(event) {
      if (typeof event === 'function') {
        this.pool.push(event);
      }
    }
  }, {
    key: 'free',
    value: function free() {
      var len = this.pool.length;
      for (var i = 0; i < len; i++) {
        this.pool[i]();
      }
      this.pool.length = 0;
    }
  }]);
  return EventPool;
}();

exports.default = EventPool;