"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

/**
 * Copyright 2016-present, Baifendian, Inc.
 * All rights reserved.
 *
 * This source code is licensed under the BSD-style license found in the
 * LICENSE file in the root directory of this source tree. An additional grant
 * of patent rights can be found in the PATENTS file in the same directory.
 */

exports.default = function (nextProps, keys) {
  var newState = {};
  for (var i = 0; i < keys.length; i++) {
    var key = keys[i];
    if (key in nextProps) {
      newState[key] = nextProps[key];
    }
  }
  return newState;
};